/*
  Copyright (C) 2010 DJ Delorie <dj@redhat.com>

  This file is free software; you can redistribute it and/or modify it under
  the terms of the GNU General Public License as published by the Free
  Software Foundation; either version 3, or (at your option) any later
  version.
  
  This file is distributed in the hope that it will be useful, but WITHOUT ANY
  WARRANTY; without even the implied warranty of MERCHANTABILITY or
  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
  for more details.
  
  You should have received a copy of the GNU General Public License
  along with this file; see the file COPYING3.  If not see
  <http://www.gnu.org/licenses/>.
*/

#include "r8c-1b.h"
#include "stick.h"

main()
{
  /* Note that we are leaving reset, md1, and mde floating - that means
     the jumper on the stick controls them. */

  pd1 = SGATE_MASK;
  pd3 = LED_MASK;

  /* The pull-up on SGATE disconnects the RX from the serial port so
     that the R8C can be programmed.  We force SGATE low to connect
     the USB chip directly to the RX so the RX can be manually
     programmed.  */

  SGATE = 0;

  /* The orange LED is connected to RX_RX in hardware, so let's hook
     the red one up to RX_TX in software.  */

  while (1)
    LED = RX_TX;
}
